# Uses of Class
org.jmol.modelsetbio.BioPolymer

Packages that use BioPolymer
Package
Description
org.jmol.modelsetbio
org.jmol.shapebio

## Uses of BioPolymer in org.jmol.modelsetbio

Subclasses of BioPolymer in org.jmol.modelsetbio
Modifier and Type
Class
Description
`class`
`AlphaPolymer`
`class`
`AminoPolymer`
`class`
`CarbohydratePolymer`
`class`
`NucleicPolymer`
`class`
`PhosphorusPolymer`
Fields in org.jmol.modelsetbio declared as BioPolymer
Modifier and Type
Field
Description
`BioPolymer`
Monomer.`bioPolymer`
`BioPolymer[]`
BioModel.`bioPolymers`
Methods in org.jmol.modelsetbio with parameters of type BioPolymer
Modifier and Type
Method
Description
`void`
AminoPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
///////////////////////////////////////////////
`void`
BioPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vHBonds, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`
`void`
NucleicPolymer.`calcRasmolHydrogenBonds(BioPolymer polymer, BS bsA, BS bsB, Lst<Bond> vAtoms, int nMaxPerResidue, int[][][] min, boolean checkDistances, boolean dsspIgnoreHydrogens)`

## Uses of BioPolymer in org.jmol.shapebio

Fields in org.jmol.shapebio declared as BioPolymer
Modifier and Type
Field
Description
`BioPolymer`
BioShape.`bioPolymer`